<?php
// Fix for qtranslate
if (has_filter('the_editor', 'qtrans_modifyRichEditor')) {
	remove_filter('the_editor', 'qtrans_modifyRichEditor');
}

echo "<style type=\"text/css\">
.theEditor { color: black !important; }";

if ($_GET['wcttab'] == "content" OR (strpos("wct_form",$_GET['page']) !== false AND $_GET['wcttab'] != "eviw")) {
	echo "
	#editorcontainer { width: 820px !important; }
	#quicktags { width: 820px !important;visibility:hidden !important; display:none !important; }
	#ed_toolbar { visibility:hidden !important; display:none !important; }
	textarea { width:820px !important;}";
}
else {
	echo "
	#editorcontainer { width: 720px !important; }
	#quicktags { width: 720px !important;visibility:visible !important; display:block !important; }
	#ed_toolbar { visibility:visible !important; display:block !important; }
	#edButtonHTML { visibility:hidden !important;  }
	#edButtonPreview { visibility:hidden !important; }";
}
echo "
.ed_button2 { background-image: url(\"".plugins_url('custom-tables/img/fade-butt.png')."\") !important; }
.ed_button3 { background-image: url(\"".plugins_url('custom-tables/img/fade-butt2.png')."\") !important; }
.ed_button4 { background-image: url(\"".plugins_url('custom-tables/img/fade-butt3.png')."\") !important; }
</style>";

add_filter('admin_head', array( &$this, 'ShowTinyMCE'));

?>